BaseLayout (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.BaseLayout class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components
Class BaseLayout

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.BaseComponent
                  org.hyperic.ui.tapestry.components.BaseComponent
                      org.hyperic.ui.tapestry.components.BaseLayout

All Implemented Interfaces:
  org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IRender, org.apache.tapestry.ITemplateComponent

Direct Known Subclasses:
  Layout1Col

    public abstract class BaseLayout

extends BaseComponent

Field Summary
`static java.lang.String` | `DOJO_THEME` Dojo look and feel theme name
`static java.lang.String` | `DOJO_VERSION` Dojo Version
`static java.lang.String` | `LAYOUT_PANEL_CENTER`
`static java.lang.String` | `LAYOUT_PANEL_LEFT`
`static java.lang.String` | `LAYOUT_PANEL_RIGHT`

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`BaseLayout()`

Method Summary
`org.apache.tapestry.components.Block` | `getCenterBlock()`
`java.util.List<org.apache.tapestry.IAsset>` | `getDijitSheets()`
`abstract org.apache.tapestry.IAsset` | `getDijitStyleSheet()`
`java.util.List<org.apache.tapestry.IAsset>` | `getDojoGridTundraThemeSheets()`
`java.util.List<org.apache.tapestry.IAsset>` | `getDojoSheets()`
`abstract org.apache.tapestry.IAsset` | `getDojoStyleSheet()`
`java.util.List<org.apache.tapestry.IAsset>` | `getDojoTundraThemeSheets()`
`abstract org.apache.tapestry.IAsset` | `getGridStyleSheet()`
`abstract org.apache.tapestry.IAsset` | `getGridTundraStyleSheet()`
`org.apache.tapestry.components.Block` | `getLeftBlock()`
`org.apache.tapestry.components.Block` | `getRightBlock()`
`abstract org.apache.tapestry.IAsset` | `getTundraStyleSheet()`

Methods inherited from class org.hyperic.ui.tapestry.components.BaseComponent
`getIsLoggedIn, getPageName, getRequest, getResponse, getServletContext, getUserName`

Methods inherited from class org.apache.tapestry.BaseComponent
`addOuter, finishLoad, getContainedRenderers, getInnerRenderers, renderComponent`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, cleanupAfterRender, enterActiveState, equals, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.IComponent
`addAsset, addBody, addComponent, enterActiveState, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getSpecification, getSpecifiedId, getTemplateTagName, isRendering, peekClientId, renderBody, setBinding, setClientId, setContainedComponent, setContainer, setId, setNamespace, setPage, setTemplateTagName`

Methods inherited from interface org.apache.tapestry.IRender
`render`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Field Detail

### LAYOUT_PANEL_LEFT

    public static final java.lang.String LAYOUT_PANEL_LEFT

See Also:
  Constant Field Values

### LAYOUT_PANEL_CENTER

    public static final java.lang.String LAYOUT_PANEL_CENTER

See Also:
  Constant Field Values

### LAYOUT_PANEL_RIGHT

    public static final java.lang.String LAYOUT_PANEL_RIGHT

See Also:
  Constant Field Values

### DOJO_THEME

    public static final java.lang.String DOJO_THEME

  Dojo look and feel theme name

  See Also:
    Constant Field Values

### DOJO_VERSION

    public static final java.lang.String DOJO_VERSION

  Dojo Version

  See Also:
    Constant Field Values

Constructor Detail

### BaseLayout

    public BaseLayout()

Method Detail

### getLeftBlock

    public org.apache.tapestry.components.Block getLeftBlock()

  Returns:
    the left panel block

### getCenterBlock

    public org.apache.tapestry.components.Block getCenterBlock()

  Returns:
    the center panel block

### getRightBlock

    public org.apache.tapestry.components.Block getRightBlock()

  Returns:
    the right panel block

### getDojoStyleSheet

    @Asset(value="context:js/dojo/1.1/dojo/resources/dojo.css")
    public abstract org.apache.tapestry.IAsset getDojoStyleSheet()

### getDijitStyleSheet

    @Asset(value="context:js/dojo/1.1/dijit/themes/dijit.css")
    public abstract org.apache.tapestry.IAsset getDijitStyleSheet()

### getTundraStyleSheet

    @Asset(value="context:js/dojo/1.1/dijit/themes/tundra/tundra.css")
    public abstract org.apache.tapestry.IAsset getTundraStyleSheet()

### getGridStyleSheet

    @Asset(value="context:js/dojo/1.1/dojox/grid/_grid/Grid.css")
    public abstract org.apache.tapestry.IAsset getGridStyleSheet()

### getGridTundraStyleSheet

    @Asset(value="context:js/dojo/1.1/dojox/grid/_grid/tundraGrid.css")
    public abstract org.apache.tapestry.IAsset getGridTundraStyleSheet()

### getDojoTundraThemeSheets

    public java.util.List<org.apache.tapestry.IAsset> getDojoTundraThemeSheets()

### getDojoGridTundraThemeSheets

    public java.util.List<org.apache.tapestry.IAsset> getDojoGridTundraThemeSheets()

### getDojoSheets

    public java.util.List<org.apache.tapestry.IAsset> getDojoSheets()

### getDijitSheets

    public java.util.List<org.apache.tapestry.IAsset> getDijitSheets()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.